Ticket #43034

Reintroduce ACLOCAL_AMFLAGS to S3_0

Eröffnet am: 2021-10-12 17:53 Letztes Update: 2022-01-18 02:05

Auswertung:
Verantwortlicher:
Typ:
Status:
Geschlossen
Komponente:
Meilenstein:
Priorität:
5 - Mittel
Schweregrad:
5 - Mittel
Lösung:
Gefixt
Datei:
1

Details

Ever since we dropped ACLOCAL_AMFLAGS from main Makefile.am, autogen.sh has been giving warnings like "configure.ac:557: warning: macro 'AM_LANGINFO_CODESET' not found in library"

I think the warning comes from libtool, which last has had an upstream release 2015, and which doesn't know that automake doesn't need ACLOCAL_AMFLAGS any more. Situation is unlikely to change before we release 3.0.0, and in any case already released distributions have the libtool version that gives the warning. I think we should just reinstate ACLOCAL_AMFLAGS for S3_0.

Ticket-Verlauf (3/6 Historien)

2021-10-12 17:53 Aktualisiert von: cazfi
  • New Ticket "Reintroduce ACLOCAL_AMFLAGS to S3_0" created
2021-10-13 23:14 Aktualisiert von: cazfi
  • Lösung Update from Keine to Accepted
2021-10-15 21:13 Aktualisiert von: cazfi
  • Status Update from Offen to Geschlossen
  • Verantwortlicher Update from (Keine) to cazfi
  • Lösung Update from Accepted to Gefixt
2022-01-15 18:46 Aktualisiert von: cazfi
  • Status Update from Geschlossen to Offen
  • Lösung Update from Gefixt to Accepted
Kommentar

Given that there's only some vague talk about developing a new libtool version that would drop the requirement, I think we should port this change to S3_1 too. Even if the new libtool version exist at the time of freeciv-3.1 release, there are going to be a lot of older distribution releases in use that do not have it.

-> consider 36h review period before pushing this to S3_1 started.

2022-01-18 02:05 Aktualisiert von: cazfi
  • Status Update from Offen to Geschlossen
  • Lösung Update from Accepted to Gefixt

Dateianhangliste

Bearbeiten

You are not logged in. I you are not logged in, your comment will be treated as an anonymous post. » Anmelden